<?php

ob_start();

/*
 *	Clean HTTP redirect
 *
 *	Author:	guinux0
 *	Date:	21/05/2002
 *
 *	URL:	http://www.zend.com/tips/tips.php?id=244&single=1
 */

define( 'HTTP_MOVED_PERMANENTLY',	'301 Moved Permanently' );
define( 'HTTP_FOUND',				'302 Found' );
define( 'HTTP_SERVER_ERROR',		'500 Internal Server Error' );

function redirect( $uri, $status = HTTP_FOUND ) {
	header( $_SERVER['SERVER_PROTOCOL'] . " " . $status, true );
	if (!preg_match( "/^http.*/", $uri ) ){
		$prepend = (isset($_SERVER['HTTPS'])?'https://':'http://') . $_SERVER['SERVER_NAME'] . ($_SERVER['SERVER_PORT']!=80?':'.$_SERVER['SERVER_PORT']:'');
		if ( substr( $uri, 0, 1 ) != '/' ) {
			$tmp = split('/', $_SERVER["SCRIPT_NAME"] );
			array_pop($tmp);
			$current_dir = implode( '/', $tmp );
			$uri = $current_dir . '/' . $uri;
		}
		$uri = $prepend . $uri;
	}
	header( "Location: $uri", true );
	exit();
}

/*
 *	This is popup
 *
 *	Author:	sistrall
 *	Date:	2004-04-18
 *
 *	URL:	http://www.sistrall.it
 */

function this_is_popup() {
	if(isset($_GET['popup'])) {
		return TRUE;
	} else {
		// Coming from a popup, I reload the page, adding an opportune parameter
		if( isset($_SERVER['HTTP_REFERER']) && preg_match("/popup=yes/",$_SERVER['HTTP_REFERER']) ) {
			redirect(preg_replace("/.php/", '.php?popup=yes', $_SERVER['REQUEST_URI']));
		} else {
			return FALSE;
		}
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>My guidelines for popups</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<script type="text/javascript" src="open_popup.js"></script>
	<script type="text/javascript" src="countdown.js"></script>
	<?php if( this_is_popup() ) { ?>
		<link rel="stylesheet" href="popup.css" type="text/css" title="default" />
	<?php } else { ?>
		<link rel="stylesheet" href="style.css" type="text/css" title="default" />
	<?php } ?>
	</script>
</head>

<body>

	<h1>My guidelines for popups</h1>
	
	<?php if( this_is_popup() ) { ?>
	
	<p>This page has been opened in a popup.</p>
	<p>This window will be closed in <strong><span id="textCountdown">~s~</span></strong> seconds.</p>
	<script type="text/javascript">
	//<![CDATA[
	
	var textCountdown = new Countdown('textCountdown');
	textCountdown.onEnd = function() {
		window.close();
	}
	textCountdown.setTimeToLive(0,50,0);
	textCountdown.start();
	
	//]]>
	</script>
	
	<?php } else { ?>
	
	<p>This page has been opened in the main window.</p>
	
	<?php } ?>
	
	<hr />
	<div>
		This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/1.0/">Creative Commons License</a> | <a href="http://www.sistrall.it">sistrall.it</a>
	</div>
</body>
</html>
